/**
 * A plugin hook for defining the sort priority when sorting by multiple columns, starting with the first column ID.
 *
 * **Note:** Column IDs that are not found in the array use the default priority, so the first sorted column has a higher priority than the next sorted column.
 *
 * @param {string[]} orderedIds - Array of column IDs, defining the sorting priority.
 */
import type { ReactTableHooks } from '../types/index.js';
export declare const useOrderedMultiSort: (orderedIds: string[]) => {
    (hooks: ReactTableHooks): void;
    pluginName: string;
};
