import { ValueColor } from '../../enums/index.js';
import type { CommonProps } from '../../types/index.js';
export interface NumericSideIndicatorPropTypes extends CommonProps {
    /**
     * The numeric value
     */
    number: number | string;
    /**
     * The semantic color which represents the state of the side indicator.
     *
     * @default `"None"`
     */
    state?: ValueColor;
    /**
     * The title of the indicator
     */
    titleText: string;
    /**
     * Defines the unit of measurement (scaling prefix) for the numeric value
     */
    unit?: string;
}
/**
 * Holds a set of side indicator attributes used in the AnalyticalCardHeader component.
 */
export declare const NumericSideIndicator: import("react").ForwardRefExoticComponent<NumericSideIndicatorPropTypes & import("react").RefAttributes<HTMLDivElement>>;
