/**
 * Defines the selection behavior of the AnalyticalTable.
 */
export let AnalyticalTableSelectionBehavior = /*#__PURE__*/function (AnalyticalTableSelectionBehavior) {
  /**
   * A selection column is rendered along with the normal columns. The whole row is selectable.
   */
  AnalyticalTableSelectionBehavior["Row"] = "Row";
  /**
   * No selection column is rendered along with the normal columns. The whole row is selectable.
   */
  AnalyticalTableSelectionBehavior["RowOnly"] = "RowOnly";
  /**
   * The row is only selectable by clicking on the corresponding field in the selection column.
   */
  AnalyticalTableSelectionBehavior["RowSelector"] = "RowSelector";
  return AnalyticalTableSelectionBehavior;
}({});