'use client';

import '@ui5/webcomponents/dist/Card.js';
import { withWebComponent } from '@ui5/webcomponents-react-base';
/**
 * The `Card` is a component that represents information in the form of a
 * tile with separate header and content areas.
 * The content area of a `Card` can be arbitrary HTML content.
 * The header can be used through slot `header`. For which there is a `CardHeader` component to achieve the card look and feel.
 *
 * Note: We recommend the usage of `CardHeader` for the header slot, so advantage can be taken for keyboard handling, styling and accessibility.
 *
 *
 *
 * `import "@ui5/webcomponents/dist/CardHeader.js";` (for `CardHeader`)
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 */
const Card = withWebComponent('ui5-card', ['accessibleName', 'accessibleNameRef', 'loadingDelay'], ['loading'], ['header'], []);
Card.displayName = 'Card';
export { Card };