'use client';

import '@ui5/webcomponents/dist/ColorPicker.js';
import { withWebComponent } from '@ui5/webcomponents-react-base';
/**
 * The `ColorPicker` allows users to choose any color and provides different input options for selecting colors.
 *
 * ### Usage
 *
 * #### When to use
 * Use the color picker if:
 *
 * -  users need to select any color freely.
 *
 * #### When not to use
 *
 * -  Users need to select one color from a predefined set of colors. Use the ColorPalette component instead.
 *
 *
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 */
const ColorPicker = withWebComponent('ui5-color-picker', ['name', 'value'], ['simplified'], [], ['change']);
ColorPicker.displayName = 'ColorPicker';
export { ColorPicker };