import '@ui5/webcomponents/dist/ComboBoxItem.js';
import type { CommonProps, Ui5DomRef } from '@ui5/webcomponents-react-base';
interface ComboBoxItemAttributes {
    /**
     * Defines the additional text of the component.
     * @default undefined
     */
    additionalText?: string | undefined;
    /**
     * Defines the text of the component.
     * @default undefined
     */
    text?: string | undefined;
}
interface ComboBoxItemDomRef extends Required<ComboBoxItemAttributes>, Ui5DomRef {
}
interface ComboBoxItemPropTypes extends ComboBoxItemAttributes, Omit<CommonProps, keyof ComboBoxItemAttributes> {
}
/**
 * The `ComboBoxItem` represents the item for a `ComboBox`.
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 */
declare const ComboBoxItem: import("react").ForwardRefExoticComponent<ComboBoxItemPropTypes & import("@ui5/webcomponents-react-base").WithWebComponentPropTypes & import("react").RefAttributes<ComboBoxItemDomRef>>;
export { ComboBoxItem };
export type { ComboBoxItemDomRef, ComboBoxItemPropTypes };
