'use client';

import '@ui5/webcomponents/dist/FormItem.js';
import { withWebComponent } from '@ui5/webcomponents-react-base';
/**
 * The FormItem (ui5-form-item) represents pair of a label and
 * one or more components (text or text fields), associated to it.
 *
 * ### Usage
 *
 * The FormItem is being used in FormGroup (ui5-form-group) or directly in Form (ui5-form).
 *
 * ### ES6 Module Import
 *
 * - import @ui5/webcomponents/dist/FormItem.js";
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 *
 * @since [2.0.0](https://github.com/SAP/ui5-webcomponents/releases/tag/v2.0.0) of __@ui5/webcomponents__.
 */
const FormItem = withWebComponent('ui5-form-item', ['columnSpan'], [], ['labelContent'], []);
FormItem.displayName = 'FormItem';
export { FormItem };