'use client';

import '@ui5/webcomponents/dist/MenuItem.js';
import { withWebComponent } from '@ui5/webcomponents-react-base';
/**
 * `MenuItem` is the item to use inside a `Menu`.
 * An arbitrary hierarchy structure can be represented by recursively nesting menu items.
 *
 * ### Usage
 *
 * `MenuItem` represents a node in a `Menu`. The menu itself is rendered as a list,
 * and each `MenuItem` is represented by a list item in that list. Therefore, you should only use
 * `MenuItem` directly in your apps. The `ListItemStandard` list item is internal for the list, and not intended for public use.
 *
 *
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 *
 * @since [1.3.0](https://github.com/SAP/ui5-webcomponents/releases/tag/v1.3.0) of __@ui5/webcomponents__.
 */
const MenuItem = withWebComponent('ui5-menu-item', ['accessibilityAttributes', 'accessibleName', 'additionalText', 'highlight', 'icon', 'loadingDelay', 'text', 'tooltip', 'type'], ['disabled', 'loading', 'navigated', 'selected'], ['deleteButton', 'endContent'], ['before-close', 'before-open', 'close', 'detail-click', 'open']);
MenuItem.displayName = 'MenuItem';
export { MenuItem };