'use client';

import '@ui5/webcomponents-fiori/dist/NavigationLayout.js';
import { withWebComponent } from '@ui5/webcomponents-react-base';
/**
 * The `NavigationLayout` is a container component that can be used to
 * create a layout with a header, a side navigation and a content area.
 *
 * ### Usage
 *
 * Use the `NavigationLayout` to create whole screen of an application with vertical navigation.
 *
 * ### Responsive Behavior
 *
 * On desktop and tablet devices, the side navigation is visible
 * by default and can be expanded or collapsed using the `mode` property.
 * On phone devices, the side navigation is hidden by default and can
 * be displayed using the `mode` property.
 *
 *
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 *
 * @since [2.4.0](https://github.com/SAP/ui5-webcomponents/releases/tag/v2.4.0) of __@ui5/webcomponents-fiori__.
 */
const NavigationLayout = withWebComponent('ui5-navigation-layout', ['mode'], [], ['header', 'sideContent'], []);
NavigationLayout.displayName = 'NavigationLayout';
export { NavigationLayout };