'use client';

import '@ui5/webcomponents/dist/Popover.js';
import { withWebComponent } from '@ui5/webcomponents-react-base';
/**
 * The `Popover` component displays additional information for an object
 * in a compact way and without leaving the page.
 * The Popover can contain various UI elements, such as fields, tables, images, and charts.
 * It can also include actions in the footer.
 *
 * ### Structure
 *
 * The popover has three main areas:
 *
 * - Header (optional)
 * - Content
 * - Footer (optional)
 *
 * **Note:** The `Popover` is closed when the user clicks
 * or taps outside the popover
 * or selects an action within the popover. You can prevent this with the
 * `modal` property.
 *
 *
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 */
const Popover = withWebComponent('ui5-popover', ['accessibleName', 'accessibleNameRef', 'accessibleRole', 'headerText', 'horizontalAlign', 'initialFocus', 'opener', 'placement', 'verticalAlign'], ['allowTargetOverlap', 'hideArrow', 'modal', 'open', 'preventFocusRestore', 'preventInitialFocus'], ['footer', 'header'], ['before-close', 'before-open', 'close', 'open']);
Popover.displayName = 'Popover';
export { Popover };