'use client';

import '@ui5/webcomponents/dist/ResponsivePopover.js';
import { withWebComponent } from '@ui5/webcomponents-react-base';
/**
 * The `ResponsivePopover` acts as a Popover on desktop and tablet, while on phone it acts as a Dialog.
 * The component improves tremendously the user experience on mobile.
 *
 * ### Usage
 * Use it when you want to make sure that all the content is visible on any device.
 *
 *
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 */
const ResponsivePopover = withWebComponent('ui5-responsive-popover', ['accessibleName', 'accessibleNameRef', 'accessibleRole', 'headerText', 'horizontalAlign', 'initialFocus', 'opener', 'placement', 'verticalAlign'], ['allowTargetOverlap', 'hideArrow', 'modal', 'open', 'preventFocusRestore', 'preventInitialFocus'], ['footer', 'header'], ['before-close', 'before-open', 'close', 'open']);
ResponsivePopover.displayName = 'ResponsivePopover';
export { ResponsivePopover };