'use client';

import '@ui5/webcomponents/dist/SegmentedButtonItem.js';
import { withWebComponent } from '@ui5/webcomponents-react-base';
/**
 * Users can use the `SegmentedButtonItem` as part of a `SegmentedButton`.
 *
 * Clicking or tapping on a `SegmentedButtonItem` changes its state to `selected`.
 * The item returns to its initial state when the user clicks or taps on it again.
 * By applying additional custom CSS-styling classes, apps can give a different style to any
 * `SegmentedButtonItem`.
 *
 *
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 */
const SegmentedButtonItem = withWebComponent('ui5-segmented-button-item', ['accessibleName', 'accessibleNameRef', 'icon', 'tooltip'], ['disabled', 'selected'], [], []);
SegmentedButtonItem.displayName = 'SegmentedButtonItem';
export { SegmentedButtonItem };