import '@ui5/webcomponents/dist/SpecialCalendarDate.js';
import type CalendarLegendItemType from '@ui5/webcomponents/dist/types/CalendarLegendItemType.js';
import type { CommonProps, Ui5DomRef } from '@ui5/webcomponents-react-base';
interface SpecialCalendarDateAttributes {
    /**
     * Defines the type of the special date.
     * @default "None"
     */
    type?: CalendarLegendItemType | keyof typeof CalendarLegendItemType;
    /**
     * The date formatted according to the `formatPattern` property
     * of the `Calendar` that hosts the component.
     */
    value?: string;
}
interface SpecialCalendarDateDomRef extends Required<SpecialCalendarDateAttributes>, Ui5DomRef {
}
interface SpecialCalendarDatePropTypes extends SpecialCalendarDateAttributes, Omit<CommonProps, keyof SpecialCalendarDateAttributes> {
}
/**
 * The `SpecialCalendarDate` component defines a special calendar date to be used inside `Calendar`,
 * which is visually distinguished from the rest of the dates.
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 *
 * @since [1.23.0](https://github.com/SAP/ui5-webcomponents/releases/tag/v1.23.0) of __@ui5/webcomponents__.
 * @abstract
 */
declare const SpecialCalendarDate: import("react").ForwardRefExoticComponent<SpecialCalendarDatePropTypes & import("@ui5/webcomponents-react-base").WithWebComponentPropTypes & import("react").RefAttributes<SpecialCalendarDateDomRef>>;
export { SpecialCalendarDate };
export type { SpecialCalendarDateDomRef, SpecialCalendarDatePropTypes };
