'use client';

import '@ui5/webcomponents/dist/Tab.js';
import { withWebComponent } from '@ui5/webcomponents-react-base';
/**
 * The `Tab` represents a selectable item inside a `TabContainer`.
 * It defines both the item in the tab strip (top part of the `TabContainer`) and the
 * content that is presented to the user once the tab is selected.
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 * @abstract
 */
const Tab = withWebComponent('ui5-tab', ['additionalText', 'design', 'icon', 'text'], ['disabled', 'movable', 'selected'], ['items'], []);
Tab.displayName = 'Tab';
export { Tab };