'use client';

import '@ui5/webcomponents/dist/TableHeaderCell.js';
import { withWebComponent } from '@ui5/webcomponents-react-base';
/**
 * The `TableHeaderCell` component represents a column in the `Table`.
 *
 * As it is tightly coupled to the `Table`, it should only be used in the `TableHeaderRow`
 * to ensure correct layout and design.
 *
 *
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 *
 * @since [2.0.0](https://github.com/SAP/ui5-webcomponents/releases/tag/v2.0.0) of __@ui5/webcomponents__.
 */
const TableHeaderCell = withWebComponent('ui5-table-header-cell', ['horizontalAlign', 'importance', 'minWidth', 'popinText', 'sortIndicator', 'width'], ['popinHidden'], ['action'], []);
TableHeaderCell.displayName = 'TableHeaderCell';
export { TableHeaderCell };