'use client';

import '@ui5/webcomponents/dist/TableHeaderRow.js';
import { withWebComponent } from '@ui5/webcomponents-react-base';
/**
 * The `TableHeaderRow` component represents the table headers of a `Table`.
 *
 * It is tightly coupled to the `Table` and should therefore be used in the `Table` only.
 * The header row is placed in the `headerRow` slot of the table.
 *
 *
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 *
 * @since [2.0.0](https://github.com/SAP/ui5-webcomponents/releases/tag/v2.0.0) of __@ui5/webcomponents__.
 */
const TableHeaderRow = withWebComponent('ui5-table-header-row', [], ['sticky'], [], []);
TableHeaderRow.displayName = 'TableHeaderRow';
export { TableHeaderRow };