'use client';

import '@ui5/webcomponents/dist/TableSelectionMulti.js';
import { withWebComponent } from '@ui5/webcomponents-react-base';
/**
 * The `TableSelectionMulti` component is used inside the `Table` to add multi-selection capabilities to the `Table`.
 * Since selection is key-based, each `TableRow` must define a unique `row-key` property.
 *
 * ### Usage
 *
 * The `TableSelectionMulti` component is a feature designed exclusively for use within the `Table` component.
 * It must be placed inside the `features` slot of `Table`.
 * This component is not intended for standalone use.
 *
 * ```html
 * <Table>
 * 	<TableSelectionMulti slot="features" selected="Row1 Row3"></TableSelectionMulti>
 * </Table>
 * ```
 *
 *
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 *
 * @since [2.8.0](https://github.com/SAP/ui5-webcomponents/releases/tag/v2.8.0) of __@ui5/webcomponents__.
 */
const TableSelectionMulti = withWebComponent('ui5-table-selection-multi', ['behavior', 'selected'], [], [], ['change']);
TableSelectionMulti.displayName = 'TableSelectionMulti';
export { TableSelectionMulti };