'use client';

import '@ui5/webcomponents/dist/TableVirtualizer.js';
import { withWebComponent } from '@ui5/webcomponents-react-base';
/**
 * The `TableVirtualizer` component is used inside the `Table` to virtualize the table rows, if the `overflowMode` property of the table is set to 'Scroll'.
 * It is responsible for rendering only the rows that are visible in the viewport and updating them on scroll.
 * This allows large numbers of rows to exist, but maintain high performance by only paying the cost for those that are currently visible.
 *
 * **Note:** The maximum number of virtualized rows is limited by browser constraints, specifically the maximum supported height for a DOM element.
 *
 *
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 *
 * @since [2.5.0](https://github.com/SAP/ui5-webcomponents/releases/tag/v2.5.0) of __@ui5/webcomponents__.
 * @experimental This component is not intended to be used in a productive enviroment. The API is under development and may be changed in the future.
 */
const TableVirtualizer = withWebComponent('ui5-table-virtualizer', ['extraRows', 'rowCount', 'rowHeight'], [], [], ['range-change']);
TableVirtualizer.displayName = 'TableVirtualizer';
export { TableVirtualizer };