'use client';

import '@ui5/webcomponents/dist/TextArea.js';
import { withWebComponent } from '@ui5/webcomponents-react-base';
/**
 * The `TextArea` component is used to enter multiple rows of text.
 *
 * When empty, it can hold a placeholder similar to a `Input`.
 * You can define the rows of the `TextArea` and also determine specific behavior when handling long texts.
 *
 *
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 */
const TextArea = withWebComponent('ui5-textarea', ['accessibleName', 'accessibleNameRef', 'growingMaxRows', 'maxlength', 'name', 'placeholder', 'rows', 'value', 'valueState'], ['disabled', 'growing', 'readonly', 'required', 'showExceededText'], ['valueStateMessage'], ['change', 'input', 'scroll', 'select']);
TextArea.displayName = 'TextArea';
export { TextArea };