'use client';

import '@ui5/webcomponents-fiori/dist/Timeline.js';
import { withWebComponent } from '@ui5/webcomponents-react-base';
/**
 * The `Timeline` component shows entries (such as objects, events, or posts) in chronological order.
 * A common use case is to provide information about changes to an object, or events related to an object.
 * These entries can be generated by the system (for example, value XY changed from A to B), or added manually.
 * There are two distinct variants of the timeline: basic and social. The basic timeline is read-only,
 * while the social timeline offers a high level of interaction and collaboration, and is integrated within SAP Jam.
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 */
const Timeline = withWebComponent('ui5-timeline', ['accessibleName', 'growing', 'layout', 'loadingDelay'], ['loading'], [], ['load-more']);
Timeline.displayName = 'Timeline';
export { Timeline };