'use client';

import '@ui5/webcomponents/dist/ToolbarSelect.js';
import { withWebComponent } from '@ui5/webcomponents-react-base';
/**
 * The `ToolbarSelect` component is used to create a toolbar drop-down list.
 * The items inside the `ToolbarSelect` define the available options by using the `ToolbarSelectOption` component.
 *
 *
 *
 * `import "@ui5/webcomponents/dist/ToolbarSelectOption.js";` (comes with `ToolbarSelect`)
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 *
 * @since [1.17.0](https://github.com/SAP/ui5-webcomponents/releases/tag/v1.17.0) of __@ui5/webcomponents__.
 * @abstract
 */
const ToolbarSelect = withWebComponent('ui5-toolbar-select', ['accessibleName', 'accessibleNameRef', 'overflowPriority', 'valueState', 'width'], ['disabled', 'preventOverflowClosing'], [], ['change', 'close', 'open']);
ToolbarSelect.displayName = 'ToolbarSelect';
export { ToolbarSelect };