'use client';

import '@ui5/webcomponents/dist/ToolbarSpacer.js';
import { withWebComponent } from '@ui5/webcomponents-react-base';
/**
 * The `ToolbarSpacer` is an element, used for taking needed space for toolbar items to take 100% width.
 * It takes no space in calculating toolbar items width.
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 *
 * @since [1.17.0](https://github.com/SAP/ui5-webcomponents/releases/tag/v1.17.0) of __@ui5/webcomponents__.
 * @abstract
 */
const ToolbarSpacer = withWebComponent('ui5-toolbar-spacer', ['overflowPriority', 'width'], ['preventOverflowClosing'], [], []);
ToolbarSpacer.displayName = 'ToolbarSpacer';
export { ToolbarSpacer };