'use client';

import '@ui5/webcomponents/dist/TreeItem.js';
import { withWebComponent } from '@ui5/webcomponents-react-base';
/**
 * The `TreeItem` represents a node in a tree structure, shown as a `List`.
 *
 * This is the item to use inside a `Tree`.
 * You can represent an arbitrary tree structure by recursively nesting tree items.
 *
 *
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 */
const TreeItem = withWebComponent('ui5-tree-item', ['accessibilityAttributes', 'accessibleName', 'additionalText', 'additionalTextState', 'highlight', 'icon', 'text', 'tooltip', 'type'], ['expanded', 'hasChildren', 'indeterminate', 'movable', 'navigated', 'selected'], ['deleteButton', 'image'], ['detail-click']);
TreeItem.displayName = 'TreeItem';
export { TreeItem };