'use client';

import '@ui5/webcomponents-fiori/dist/UserMenu.js';
import { withWebComponent } from '@ui5/webcomponents-react-base';
/**
 * The `UserMenu` is an SAP Fiori specific web component that is used in `ShellBar`
 * and allows the user to easily see information and settings for the current user and all other logged in accounts.
 *
 *
 *
 * `import "@ui5/webcomponents-fiori/dist/UserMenuItem.js";` (for `UserMenuItem`)
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 *
 * @since [2.5.0](https://github.com/SAP/ui5-webcomponents/releases/tag/v2.5.0) of __@ui5/webcomponents-fiori__.
 * @experimental
 */
const UserMenu = withWebComponent('ui5-user-menu', ['opener'], ['open', 'showEditAccounts', 'showEditButton', 'showManageAccount', 'showOtherAccounts'], ['accounts'], ['avatar-click', 'change-account', 'close', 'edit-accounts-click', 'item-click', 'manage-account-click', 'open', 'sign-out-click']);
UserMenu.displayName = 'UserMenu';
export { UserMenu };