'use client';

import '@ui5/webcomponents-fiori/dist/UserMenuItem.js';
import { withWebComponent } from '@ui5/webcomponents-react-base';
/**
 * `UserMenuItem` is the item to use inside a `UserMenu`.
 * An arbitrary hierarchy structure can be represented by recursively nesting menu items.
 *
 * ### Usage
 *
 * `UserMenuItem` represents a node in a `UserMenu`. The user menu itself is rendered as a list,
 * and each `ui5-menu-item` is represented by a menu item in that menu. Therefore, you should only use
 * `UserMenuItem` directly in your apps. The `ui5-menu` menu item is internal for the menu, and not intended for public use.
 *
 *
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 *
 * @since [2.5.0](https://github.com/SAP/ui5-webcomponents/releases/tag/v2.5.0) of __@ui5/webcomponents-fiori__.
 * @experimental
 */
const UserMenuItem = withWebComponent('ui5-user-menu-item', ['accessibilityAttributes', 'accessibleName', 'additionalText', 'highlight', 'icon', 'loadingDelay', 'text', 'tooltip', 'type'], ['disabled', 'loading', 'navigated', 'selected'], ['deleteButton', 'endContent'], ['before-close', 'before-open', 'close', 'detail-click', 'open']);
UserMenuItem.displayName = 'UserMenuItem';
export { UserMenuItem };