'use client';

import '@ui5/webcomponents-fiori/dist/UserSettingsDialog.js';
import { withWebComponent } from '@ui5/webcomponents-react-base';
/**
 * The `UserSettingsDialog` is an SAP Fiori-specific web component used in the `UserMenu`.
 * It allows the user to easily view information and settings for an account.
 *
 *
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 *
 * @since [2.8.0](https://github.com/SAP/ui5-webcomponents/releases/tag/v2.8.0) of __@ui5/webcomponents-fiori__.
 * @experimental
 */
const UserSettingsDialog = withWebComponent('ui5-user-settings-dialog', ['headerText'], ['open', 'showSearchField'], ['fixedItems'], ['before-close', 'close', 'open', 'selection-change']);
UserSettingsDialog.displayName = 'UserSettingsDialog';
export { UserSettingsDialog };