'use client';

import '@ui5/webcomponents-fiori/dist/ViewSettingsDialog.js';
import { withWebComponent } from '@ui5/webcomponents-react-base';
/**
 * The `ViewSettingsDialog` component helps the user to sort data within a list or a table.
 * It consists of several lists like `Sort order` which is built-in and `Sort By` and `Filter By` lists,
 * for which you must be provide items(`SortItem` & `FilterItem` respectively)
 * These options can be used to create sorters for a table.
 *
 * The `ViewSettingsDialog` interrupts the current application processing as it is the only focused UI element and
 * the main screen is dimmed/blocked.
 * The `ViewSettingsDialog` is modal, which means that user action is required before returning to the parent window is possible.
 *
 * ### Structure
 * A `ViewSettingsDialog` consists of a header, content, and a footer for action buttons.
 * The `ViewSettingsDialog` is usually displayed at the center of the screen.
 *
 * ### Responsive Behavior
 * `ViewSettingsDialog` stretches on full screen on phones.
 *
 *
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 */
const ViewSettingsDialog = withWebComponent('ui5-view-settings-dialog', [], ['open', 'sortDescending'], ['filterItems', 'sortItems'], ['before-open', 'cancel', 'close', 'confirm', 'open']);
ViewSettingsDialog.displayName = 'ViewSettingsDialog';
export { ViewSettingsDialog };