import { useCallback } from 'react';
import { stopPropagation } from '../../../../internal/stopPropagation.js';
import { Input } from '../../../../webComponents/Input/index.js';
import { jsx as _jsx } from "react/jsx-runtime";
export const DefaultFilterComponent = ({
  column,
  accessibleNameRef
}) => {
  const handleInput = useCallback(e => {
    // Setting the filter to `undefined` removes it
    column.setFilter(e.target.value || undefined);
  }, [column.setFilter]);
  const handleKeyDown = e => {
    if (e.key !== 'Enter') {
      stopPropagation(e);
    }
  };
  return /*#__PURE__*/_jsx(Input, {
    onInput: handleInput,
    value: column.filterValue ?? '',
    showClearIcon: true,
    onKeyDown: handleKeyDown,
    accessibleNameRef: accessibleNameRef
  });
};
DefaultFilterComponent.displayName = 'DefaultFilterComponent';