import type { AnalyticalTableColumnDefinition, AnalyticalTableDomRef, AnalyticalTablePropTypes, DivWithCustomScrollProp } from './types/index.js';
/**
 * The `AnalyticalTable` provides a set of convenient functions for responsive table design, including virtualization of rows and columns, infinite scrolling and customizable columns that will, unless otherwise defined, distribute the available space equally among themselves.
 * It also provides several possibilities for working with the data, including sorting, filtering, grouping and aggregation.
 */
declare const AnalyticalTable: import("react").ForwardRefExoticComponent<AnalyticalTablePropTypes & import("react").RefAttributes<AnalyticalTableDomRef>>;
export { AnalyticalTable };
export type { AnalyticalTableColumnDefinition, AnalyticalTableDomRef, AnalyticalTablePropTypes, DivWithCustomScrollProp, };
