import type { FilterBarPropTypes } from './types.js';
/**
 * The `FilterBar` displays filters in a user-friendly manner to populate values for a query. It consists of a row containing the `VariantManagement` or a title, the related buttons, and an area underneath displaying the filters. The filters are arranged in a logical row that is divided depending on the space available and the width of the filters. The area containing the filters can be hidden or shown using the "Hide FilterBar / Show FilterBar" button, the "Filters" button shows the filter dialog.
 * In this dialog, the consumer has full control over the FilterBar. The filters in this dialog are displayed in one column and organized in groups. Each filter can be marked as visible in the FilterBar by selecting the respective row.
 *
 * __Responsiveness:__
 * The name of the view or title is always visible. The filter area varies:
 *
 * * Desktop: Expanded or collapsed by default
 * * Tablet: Collapsed by default
 * * Phone: Not displayed. Accessible through filter dialog.
 *
 * __Note:__ When `hideToolbar` is set to `true`, filters are always visible.
 */
declare const FilterBar: import("react").ForwardRefExoticComponent<FilterBarPropTypes & import("react").RefAttributes<HTMLDivElement>>;
export { FilterBar };
export type { FilterBarPropTypes };
