import ValueState from '@ui5/webcomponents-base/dist/types/ValueState.js';
import type { ButtonDomRef, ButtonPropTypes } from '../../webComponents/index.js';
export interface MessageViewButtonProptypes extends Omit<ButtonPropTypes, 'design' | 'icon' | 'iconEnd' | 'children' | 'type' | 'submits'> {
    /**
     * Specifies the type of the button.
     *
     * __Note:__ `"None"` is displayed as `"Information"`.
     */
    type?: ValueState | keyof typeof ValueState;
    /**
     * Defines the number of messages for a given message type.
     *
     * __Note:__ Numbers smaller than 2 are not displayed.
     */
    counter?: number;
}
/**
 * The `MessageViewButton` can be used for opening a `Popover` containing the `MessageView` component. It should always reflect the message `type` with the highest severity.
 */
declare const MessageViewButton: import("react").ForwardRefExoticComponent<MessageViewButtonProptypes & import("react").RefAttributes<ButtonDomRef>>;
export { MessageViewButton };
