import type { ReactNode } from 'react';
import type { CommonProps } from '../../types/index.js';
export interface ObjectPageHeaderPropTypes extends CommonProps {
    /**
     * Content of the `ObjectPageHeader`.
     */
    children?: ReactNode | ReactNode[];
}
export interface InternalProps extends ObjectPageHeaderPropTypes {
    /**
     * Determines if the header is pinned.
     */
    headerPinned?: boolean;
    /**
     * Determines the height of the top header (`ObjectPageTitle`).
     */
    topHeaderHeight?: number;
}
/**
 * The `ObjectPageHeader` component is used to serve as header section of the `ObjectPage`. It can hold any layout control and has two states - expanded and collapsed.
 *
 * __Note:__ When used inside a custom component, it's essential to pass through all props, as otherwise the component won't function as intended!
 */
declare const ObjectPageHeader: import("react").ForwardRefExoticComponent<InternalProps & import("react").RefAttributes<HTMLDivElement>>;
export { ObjectPageHeader };
