import type { ObjectPageTitlePropTypes } from './types/index.js';
/**
 * The `ObjectPageTitle` component is used to serve as title of the `ObjectPage`.
 * It can contain Breadcrumbs, Title, Subtitle, Content, KPIs and Actions.
 *
 * __Note:__ When used inside a custom component, it's essential to pass through all props, as otherwise the component won't function as intended!
 */
declare const ObjectPageTitle: import("react").ForwardRefExoticComponent<ObjectPageTitlePropTypes & import("react").RefAttributes<HTMLDivElement>>;
export { ObjectPageTitle };
export type { ObjectPageTitlePropTypes };
