'use client';

import { withWebComponent } from '@ui5/webcomponents-react-base';
/**
 * The `CalendarLegend` component is designed for use within the `Calendar` to display a legend.
 * Each `CalendarLegendItem` represents a unique date type, specifying its visual style
 * and a corresponding textual label.
 *
 *
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 *
 * @since [1.23.0](https://github.com/SAP/ui5-webcomponents/releases/tag/v1.23.0) of __@ui5/webcomponents__.
 */
const CalendarLegend = withWebComponent('ui5-calendar-legend', [], ['hideNonWorkingDay', 'hideSelectedDay', 'hideToday', 'hideWorkingDay'], [], []);
CalendarLegend.displayName = 'CalendarLegend';
export { CalendarLegend };