'use client';

import { withWebComponent } from '@ui5/webcomponents-react-base';
/**
 * The `CardHeader` is a component, meant to be used as a header of the `Card` component.
 * It displays valuable information, that can be defined with several properties, such as: `titleText`, `subtitleText`, `additionalText`
 * and two slots: `avatar` and `action`.
 *
 * ### Keyboard handling
 * In case you enable `interactive` property, you can press the `CardHeader` by Space and Enter keys.
 *
 *
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 */
const CardHeader = withWebComponent('ui5-card-header', ['additionalText', 'subtitleText', 'titleText'], ['interactive'], ['action', 'avatar'], ['click']);
CardHeader.displayName = 'CardHeader';
export { CardHeader };