'use client';

import { withWebComponent } from '@ui5/webcomponents-react-base';
/**
 * Represents a predefined range of colors for easier selection.
 *
 * Overview
 * The ColorPalettePopover provides the users with a slot to predefine colors.
 *
 * You can customize them with the use of the colors property. You can specify a defaultColor and display a "Default color" button for the user to choose directly.
 * You can display a "More colors..." button that opens an additional color picker for the user to choose specific colors that are not present in the predefined range.
 *
 * ### Usage
 *
 * The palette is intended for users, who don't want to check and remember the different values of the colors and spend large amount of time to configure the right color through the color picker.
 *
 * For the `ColorPalettePopover`
 *
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 */
const ColorPalettePopover = withWebComponent('ui5-color-palette-popover', ['defaultColor', 'opener'], ['open', 'showDefaultColor', 'showMoreColors', 'showRecentColors'], [], ['close', 'item-click']);
ColorPalettePopover.displayName = 'ColorPalettePopover';
export { ColorPalettePopover };