'use client';

import { withWebComponent } from '@ui5/webcomponents-react-base';
/**
 * The `Label` is a component used to represent a label for elements like input, textarea, select.
 * The `for` property of the `Label` must be the same as the id attribute of the related input element.
 * Screen readers read out the label, when the user focuses the labelled control.
 *
 * The `Label` appearance can be influenced by properties,
 * such as `required` and `wrappingType`.
 * The appearance of the Label can be configured in a limited way by using the design property.
 * For a broader choice of designs, you can use custom styles.
 *
 *
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 */
const Label = withWebComponent('ui5-label', ['for', 'wrappingType'], ['required', 'showColon'], [], []);
Label.displayName = 'Label';
export { Label };