'use client';

import { withWebComponent } from '@ui5/webcomponents-react-base';
/**
 * The `ListItemStandard` represents the simplest type of item for a `List`.
 *
 * This is a list item,
 * providing the most common use cases such as `text`,
 * `image` and `icon`.
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 */
const ListItemStandard = withWebComponent('ui5-li', ['accessibilityAttributes', 'accessibleName', 'additionalText', 'additionalTextState', 'description', 'highlight', 'icon', 'text', 'tooltip', 'type', 'wrappingType'], ['iconEnd', 'movable', 'navigated', 'selected'], ['deleteButton', 'image'], ['detail-click']);
ListItemStandard.displayName = 'ListItemStandard';
export { ListItemStandard };