'use client';

import { withWebComponent } from '@ui5/webcomponents-react-base';
/**
 * The `MediaGalleryItem` web component represents the items displayed in the
 * `MediaGallery` web component.
 *
 * **Note:** `MediaGalleryItem` is not supported when used outside of `MediaGallery`.
 *
 * ### Keyboard Handling
 * The `MediaGallery` provides advanced keyboard handling.
 * When focused, the user can use the following keyboard
 * shortcuts in order to perform a navigation:
 *
 * - [Space] / [Enter] or [Return] - Trigger `ui5-click` event
 *
 * )
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 *
 * @since [1.1.0](https://github.com/SAP/ui5-webcomponents/releases/tag/v1.1.0) of __@ui5/webcomponents-fiori__.
 */
const MediaGalleryItem = withWebComponent('ui5-media-gallery-item', ['layout'], ['disabled', 'selected'], ['thumbnail'], []);
MediaGalleryItem.displayName = 'MediaGalleryItem';
export { MediaGalleryItem };