'use client';

import { withWebComponent } from '@ui5/webcomponents-react-base';
/**
 * A `MultiInput` field allows the user to enter multiple values, which are displayed as `Token`.
 *
 * User can choose interaction for creating tokens.
 * Fiori Guidelines say that user should create tokens when:
 *
 * - Type a value in the input and press enter or focus out the input field (`change` event is fired)
 * - Move between suggestion items (`selection-change` event is fired)
 * - Clicking on a suggestion item (`selection-change` event is fired if the clicked item is different than the current value. Also `change` event is fired )
 *
 *
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 */
const MultiInput = withWebComponent('ui5-multi-input', ['accessibleDescription', 'accessibleDescriptionRef', 'accessibleName', 'accessibleNameRef', 'maxlength', 'name', 'placeholder', 'type', 'value', 'valueState'], ['disabled', 'noTypeahead', 'open', 'readonly', 'required', 'showClearIcon', 'showSuggestions', 'showValueHelpIcon'], ['icon', 'tokens', 'valueStateMessage'], ['change', 'close', 'input', 'open', 'select', 'selection-change', 'token-delete', 'value-help-trigger']);
MultiInput.displayName = 'MultiInput';
export { MultiInput };