'use client';

import { withWebComponent } from '@ui5/webcomponents-react-base';
/**
 * The `NotificationListGroupItem` is a special type of list item,
 * that unlike others can group items within self, usually `NotificationListItem` items.
 *
 * The component consists of:
 *
 * - `Toggle` button to expand and collapse the group
 * - `TitleText` to entitle the group
 * - Items of the group
 *
 * ### Usage
 * The component should be used inside a `NotificationList`.
 *
 * ### Keyboard Handling
 * The `NotificationListGroupItem` provides advanced keyboard handling.
 * This component provides fast navigation when the header is focused using the following keyboard shortcuts:
 *
 * - [Space] - toggles expand / collapse of the group
 * - [Plus] - expands the group
 * - [Minus] - collapses the group
 * - [Right] - expands the group
 * - [Left] - collapses the group
 *
 *
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 */
const NotificationListGroupItem = withWebComponent('ui5-li-notification-group', ['growing', 'loadingDelay', 'titleText'], ['collapsed', 'loading', 'read'], [], ['load-more', 'toggle']);
NotificationListGroupItem.displayName = 'NotificationListGroupItem';
export { NotificationListGroupItem };