'use client';

import { withWebComponent } from '@ui5/webcomponents-react-base';
/**
 * The `ProductSwitch` is an SAP Fiori specific web component that is used in `ShellBar`
 * and allows the user to easily switch between products.
 *
 * ### Keyboard Handling
 * The `ProductSwitch` provides advanced keyboard handling.
 * When focused, the user can use the following keyboard
 * shortcuts in order to perform a navigation:
 *
 * - [Tab] - Move focus to the next interactive element after the `ProductSwitch`
 * - [Up] or [Down] - Navigates up and down the items
 * - [Left] or [Right] - Navigates left and right the items
 *
 *
 *
 * `import "@ui5/webcomponents-fiori/dist/ProductSwitchItem.js";` (for `ProductSwitchItem`)
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 */
const ProductSwitch = withWebComponent('ui5-product-switch', [], [], [], []);
ProductSwitch.displayName = 'ProductSwitch';
export { ProductSwitch };