'use client';

import { withWebComponent } from '@ui5/webcomponents-react-base';
/**
 * The `ProductSwitchItem` web component represents the items displayed in the
 * `ProductSwitch` web component.
 *
 * **Note:** `ProductSwitchItem` is not supported when used outside of `ProductSwitch`.
 *
 * ### Keyboard Handling
 * The `ProductSwitch` provides advanced keyboard handling.
 * When focused, the user can use the following keyboard
 * shortcuts in order to perform a navigation:
 *
 * - [Space] / [Enter] or [Return] - Trigger `ui5-click` event
 *
 *
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 */
const ProductSwitchItem = withWebComponent('ui5-product-switch-item', ['icon', 'subtitleText', 'target', 'targetSrc', 'titleText'], [], [], ['click']);
ProductSwitchItem.displayName = 'ProductSwitchItem';
export { ProductSwitchItem };