'use client';

import { withWebComponent } from '@ui5/webcomponents-react-base';
/**
 * A `Search` is an input with suggestions, used for user search.
 *
 * The `Search` consists of several elements parts:
 * - Scope - displays a select in the beggining of the component, used for filtering results by their scope.
 * - Input field - for user input value
 * - Clear button - gives the possibility for deleting the entered value
 * - Search button - a primary button for performing search, when the user has entered a search term
 * - Suggestions - a list with available search suggestions
 *
 *
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 *
 * @since [2.9.0](https://github.com/SAP/ui5-webcomponents/releases/tag/v2.9.0) of __@ui5/webcomponents-fiori__.
 * @experimental
 */
const Search = withWebComponent('ui5-search', ['accessibleDescription', 'accessibleName', 'placeholder', 'value'], ['loading', 'noTypeahead', 'open', 'showClearIcon'], ['action', 'filterButton', 'illustration', 'messageArea', 'scopes'], ['close', 'input', 'open', 'scope-change', 'search']);
Search.displayName = 'Search';
export { Search };