import '@ui5/webcomponents-fiori/dist/SearchMessageArea.js';
import type { CommonProps, Ui5DomRef } from '@ui5/webcomponents-react-base';
interface SearchMessageAreaAttributes {
    /**
     * Defines the description text to be displayed.
     * @default undefined
     */
    description?: string | undefined;
    /**
     * Defines the text to be displayed.
     * @default undefined
     */
    text?: string | undefined;
}
interface SearchMessageAreaDomRef extends Required<SearchMessageAreaAttributes>, Ui5DomRef {
}
interface SearchMessageAreaPropTypes extends SearchMessageAreaAttributes, Omit<CommonProps, keyof SearchMessageAreaAttributes> {
}
/**
 * `import "@ui5/webcomponents-fiori/dist/SearchMessageArea.js";`
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 *
 * @since [2.9.0](https://github.com/SAP/ui5-webcomponents/releases/tag/v2.9.0) of __@ui5/webcomponents-fiori__.
 * @experimental
 */
declare const SearchMessageArea: import("react").ForwardRefExoticComponent<SearchMessageAreaPropTypes & import("@ui5/webcomponents-react-base").WithWebComponentPropTypes & import("react").RefAttributes<SearchMessageAreaDomRef>>;
export { SearchMessageArea };
export type { SearchMessageAreaDomRef, SearchMessageAreaPropTypes };
