'use client';

import { withWebComponent } from '@ui5/webcomponents-react-base';
/**
 * The `SegmentedButton` shows a group of items. When the user clicks or taps
 * one of the items, it stays in a pressed state. It automatically resizes the items
 * to fit proportionally within the component. When no width is set, the component uses the available width.
 *
 *
 *
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 */
const SegmentedButton = withWebComponent('ui5-segmented-button', ['accessibleName', 'selectionMode'], [], [], ['selection-change']);
SegmentedButton.displayName = 'SegmentedButton';
export { SegmentedButton };