'use client';

import { withWebComponent } from '@ui5/webcomponents-react-base';
/**
 * Represents a single navigation action within `SideNavigationItem`.
 * The `SideNavigationSubItem` is intended to be used inside a `SideNavigationItem` only.
 *
 *
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 * @abstract
 */
const SideNavigationSubItem = withWebComponent('ui5-side-navigation-sub-item', ['accessibilityAttributes', 'design', 'href', 'icon', 'target', 'text', 'tooltip'], ['disabled', 'selected', 'unselectable'], [], ['click']);
SideNavigationSubItem.displayName = 'SideNavigationSubItem';
export { SideNavigationSubItem };