import '@ui5/webcomponents/dist/SuggestionItem.js';
import type { CommonProps, Ui5DomRef } from '@ui5/webcomponents-react-base';
interface SuggestionItemAttributes {
    /**
     * Defines the `additionalText`, displayed in the end of the item.
     * @default undefined
     */
    additionalText?: string | undefined;
    /**
     * Defines the text of the component.
     * @default undefined
     */
    text?: string | undefined;
}
interface SuggestionItemDomRef extends Required<SuggestionItemAttributes>, Ui5DomRef {
}
interface SuggestionItemPropTypes extends SuggestionItemAttributes, Omit<CommonProps, keyof SuggestionItemAttributes> {
}
/**
 * The `SuggestionItem` represents the suggestion item of the `Input`.
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 * @abstract
 */
declare const SuggestionItem: import("react").ForwardRefExoticComponent<SuggestionItemPropTypes & import("@ui5/webcomponents-react-base").WithWebComponentPropTypes & import("react").RefAttributes<SuggestionItemDomRef>>;
export { SuggestionItem };
export type { SuggestionItemDomRef, SuggestionItemPropTypes };
