'use client';

import { withWebComponent } from '@ui5/webcomponents-react-base';
/**
 * The `Toolbar` component is used to create a horizontal layout with items.
 * The items can be overflowing in a popover, when the space is not enough to show all of them.
 *
 * ### Keyboard Handling
 * The `Toolbar` provides advanced keyboard handling.
 *
 * - The control is not interactive, but can contain of interactive elements
 * - [Tab] - iterates through elements
 *
 *
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 *
 * @since [1.17.0](https://github.com/SAP/ui5-webcomponents/releases/tag/v1.17.0) of __@ui5/webcomponents__.
 */
const Toolbar = withWebComponent('ui5-toolbar', ['accessibleName', 'accessibleNameRef', 'alignContent', 'design'], [], [], []);
Toolbar.displayName = 'Toolbar';
export { Toolbar };