'use client';

import { withWebComponent } from '@ui5/webcomponents-react-base';
/**
 * The `UserSettingsItem` represents an item in the `UserSettingsDialog`.
 *
 *
 *
 * You can disable the <code>UserSettingsItem</code> by setting the <code>enabled</code> property to <code>false</code>,
 * or use the <code>UserSettingsItem</code> in read-only mode by setting the <code>editable</code> property to false.
 *
 * <b>Note:</b> Disabled and read-only states shouldn't be used together.
 *
 * __Note__: This is a UI5 Web Component! [Repository](https://github.com/SAP/ui5-webcomponents) | [Documentation](https://sap.github.io/ui5-webcomponents/)
 *
 * @since [2.8.0](https://github.com/SAP/ui5-webcomponents/releases/tag/v2.8.0) of __@ui5/webcomponents-fiori__.
 * @experimental
 */
const UserSettingsItem = withWebComponent('ui5-user-settings-item', ['accessibleName', 'headerText', 'icon', 'loadingReason', 'text', 'tooltip'], ['disabled', 'loading', 'selected'], ['pages'], ['selection-change']);
UserSettingsItem.displayName = 'UserSettingsItem';
export { UserSettingsItem };